Get report objects
Get a list of template items
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The unique ID of the report.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/template-items"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "nodes": [ { "name": "string", "type": "string", "icon": "string", "objects": [ { "itemId": "f11b669d-7201-4c21-88af-d85092f0c005", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "type": "string", "icon": "string", "sheetName": "string", "sheetId": "string", "appName": "string", "qAppId": "string", "qlikAppId": "c8e142ed-5c22-4064-87da-aac893bd9e5b", "width": 0.1, "height": 0.1, "shortCode": "string", "uniqueId": "string", "objectId": "string", "base64EncodedImage": "string", "exportType": "string", "filterId": "aff0ee0f-f371-4b82-82c6-dc3b96f05c91", "titleShortCode": "string", "notInsertRows": true, "pivotTableRowsAppearance": "string", "repeatValuesSort": "string", "exportWidth": 0.1, "exportHeight": 0.1, "imageQuality": "string", "objects": [ {} ], "columns": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "qColumnId": "string", "title": "string", "shortCode": "string", "labelShortCode": "string", "expression": "string", "drillDownFields": "string", "index": 0, "icon": "string" } ] } ] } ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}